Bug 981329 - [abrt] evolution-data-server-3.8.3-1.fc19: g_str_hash: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-data-server-3.8.3-1.fc19: g_str_hash: Process /usr/libexec/e...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server   
(Show other bugs)
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:197376bef7bd54475ceb998600f...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 13:23 UTC by Ioakeim Nikos
Modified: 2013-07-20 09:50 UTC (History)
3 users (show)

Fixed In Version: evolution-data-server-3.8.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 09:50:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.53 KB, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: core_backtrace (1.48 KB, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: dso_list (16.21 KB, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: environ (969 bytes, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: maps (78.78 KB, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: open_fds (1009 bytes, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-04 13:23 UTC, Ioakeim Nikos
no flags Details

Description Ioakeim Nikos 2013-07-04 13:23:10 UTC
Version-Release number of selected component:
evolution-data-server-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_str_hash
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  4 14:45:44 localhost abrt[5144]: Saved core dump of pid 4492 (/usr/libexec/evolution-calendar-factory) to /var/tmp/abrt/ccpp-2013-07-04-14:45:43-4492 (134320128 bytes)

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_str_hash at ghash.c:1732
 #1 g_hash_table_lookup_node at ghash.c:365
 #2 g_hash_table_contains at ghash.c:1243
 #3 cal_backend_add_cached_timezone at e-cal-backend.c:413
 #4 add_item_to_cache at e-cal-backend-ews.c:3300
 #5 ews_cal_sync_get_items_sync at e-cal-backend-ews.c:3582
 #7 cal_backend_ews_process_folder_items at e-cal-backend-ews.c:3638
 #8 ews_start_sync_thread at e-cal-backend-ews.c:3734
 #9 g_thread_proxy at gthread.c:798

Comment 1 Ioakeim Nikos 2013-07-04 13:23:15 UTC
Created attachment 768800 [details]
File: backtrace

Comment 2 Ioakeim Nikos 2013-07-04 13:23:18 UTC
Created attachment 768801 [details]
File: cgroup

Comment 3 Ioakeim Nikos 2013-07-04 13:23:21 UTC
Created attachment 768802 [details]
File: core_backtrace

Comment 4 Ioakeim Nikos 2013-07-04 13:23:24 UTC
Created attachment 768803 [details]
File: dso_list

Comment 5 Ioakeim Nikos 2013-07-04 13:23:27 UTC
Created attachment 768804 [details]
File: environ

Comment 6 Ioakeim Nikos 2013-07-04 13:23:30 UTC
Created attachment 768805 [details]
File: limits

Comment 7 Ioakeim Nikos 2013-07-04 13:23:34 UTC
Created attachment 768806 [details]
File: maps

Comment 8 Ioakeim Nikos 2013-07-04 13:23:37 UTC
Created attachment 768807 [details]
File: open_fds

Comment 9 Ioakeim Nikos 2013-07-04 13:23:42 UTC
Created attachment 768808 [details]
File: proc_pid_status

Comment 10 Kalev Lember 2013-07-05 10:52:15 UTC
This appears to be the 2nd most often occurring crash in F19, according to the retrace server:
https://retrace.fedoraproject.org/faf/problems/hot/
https://retrace.fedoraproject.org/faf/problems/975227/

12146 crashes as of today.

Comment 11 Milan Crha 2013-07-08 09:47:35 UTC
Thanks for a bug report. There was done a fix for this upstream [1] and I'm adding it to evolution-data-server-3.8.3-2, which will be available shortly.

[1] https://git.gnome.org/browse/evolution-data-server/commit/?h=gnome-3-8&id=4fabcb3c68c07c7c384de348d8b8d24491ff1fce

Comment 12 Fedora Update System 2013-07-08 10:10:22 UTC
evolution-data-server-3.8.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-data-server-3.8.3-2.fc19

Comment 13 Fedora Update System 2013-07-09 01:42:04 UTC
Package evolution-data-server-3.8.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-data-server-3.8.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12643/evolution-data-server-3.8.3-2.fc19
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-07-11 02:34:33 UTC
Package evolution-data-server-3.8.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-data-server-3.8.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12643/evolution-data-server-3.8.3-3.fc19
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2013-07-20 09:50:43 UTC
evolution-data-server-3.8.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.